Package org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces

# Interface IRegistrationListener

All Known Implementing Classes:
  `WizardBase`

public interface IRegistrationListener

## Method Summary

Modifier and Type
Method
Description
`void`
`taskDeregistered(String sTaskID)`
Notification method...called when a task is successfully deregistered from the TasksManager.
`void`
`taskRegistered(String sTaskID)`
Notification method...called when a new task is successfully registered with the TasksManager.

## Method Details

### taskRegistered

void taskRegistered(String sTaskID)
Notification method...called when a new task is successfully registered with the TasksManager.

Parameters:
  `sTaskID` - ID of the newly registered task.

### taskDeregistered

void taskDeregistered(String sTaskID)
Notification method...called when a task is successfully deregistered from the TasksManager.

Parameters:
  `sTaskID` - ID of the deregistered task.